OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ThreadPool::JobSelector Class Referenceabstract

`#include <juce_ThreadPool.h>`

## Public Member Functions
virtual bool | isJobSuitable (ThreadPoolJob *job)=0

## Detailed Description

A callback class used when you need to select which ThreadPoolJob objects are suitable for some kind of operation.

See also
  ThreadPool::removeAllJobs

Definition at line 191 of file juce_ThreadPool.h.

## Member Function Documentation

## ◆ isJobSuitable()

virtual bool juce::ThreadPool::JobSelector::isJobSuitable | ( | ThreadPoolJob * | job | ) |
| pure virtual

Should return true if the specified thread matches your criteria for whatever operation that this object is being used for.

Any implementation of this method must be extremely fast and thread-safe!

Referenced by juce::ThreadPool::removeAllJobs().

The documentation for this class was generated from the following file:

- juce_ThreadPool.h